/getImageAndMetadata/{imageKey}/{requestFormat}:
  get:
    operationId:
      getImageAndMetadata
    tags:
      - ImageConverter
    summary:
      getImageAndMetadata
    description:
      Retrieving the image with the given image key and best matching request
      format as image/* MultipartEntity as well as the image metadata as
      application/json Multipart entity within the mMultipart/form-data response
    produces:
      - multipart/form-data
    parameters:
      - $ref: "#/parameters/imageKey"
      - $ref: "#/parameters/requestFormat"
      - $ref: "#/parameters/context"
    responses:
      200:
        description:
          Image Server status 'ok', returning the result image and the source
          image metadata as multipart/form-data response.
        schema:
          type:
            file
      204:
        description:
          Image Server status 'no_content', indicating that the returned resource is empty
      500:
        description:
          Image Server response in case of an Image Server error
        schema:
          $ref: "#/definitions/responseGeneral"

